Bug 261279 - graphics/gdal: switch to Qhull8
Summary: graphics/gdal: switch to Qhull8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-17 16:37 UTC by Thierry Thomas
Modified: 2022-05-13 12:32 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
Upgrade to 3.4.1 and switch to Qhull8 (2.43 KB, patch)
2022-01-17 16:37 UTC, Thierry Thomas
no flags Details | Diff
Switch to Qhull8 (1.15 KB, patch)
2022-01-25 17:15 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2022-01-17 16:37:09 UTC
Created attachment 231082 [details]
Upgrade to 3.4.1 and switch to Qhull8

- Upgrade to 3.4.1.

- This release allows to replace math/qhull by math/qhull8
Comment 1 Thierry Thomas freebsd_committer 2022-01-17 16:40:40 UTC
Several PRs have been submitted for the consumers, and these different ports should be committed at the same time, to avoid conflicts. See PR 261278, PR 261279, PR 261280, PR 261281, PR 261282 and PR 261283.
Comment 2 Thierry Thomas freebsd_committer 2022-01-25 17:15:55 UTC
Created attachment 231321 [details]
Switch to Qhull8

Meanwhile graphics/gdal has been upgraded to 3.4.1: rebase the patch to just switch Qhull to math/qhull8.
Comment 3 commit-hook freebsd_committer 2022-01-25 19:57:19 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b65451f0c18896610cde2b51274734b612e8a6f1

commit b65451f0c18896610cde2b51274734b612e8a6f1
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2022-01-25 19:25:45 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2022-01-25 19:51:18 +0000

    graphics/gdal: Change from qhull to qhull8

    - Bump PORTREVISION for dependency change

    PR:             261279

 graphics/gdal/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 4 Po-Chuan Hsieh freebsd_committer 2022-01-25 20:09:45 UTC
Committed. Thanks!
Comment 5 commit-hook freebsd_committer 2022-01-28 11:53:06 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e0afbdc1ffa7202750d95cac3748682049bcd358

commit e0afbdc1ffa7202750d95cac3748682049bcd358
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2022-01-28 11:51:51 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2022-01-28 11:51:51 +0000

    graphics/gdal: Revert b65451f0c18896610cde2b51274734b612e8a6f1

    - Change from qhull8 to qhull
    - Fix LIB_DEPENDS: change from libqhull.so to libqhull_r.so
    - Bump PORTREVISION for dependency change

    It would be better to update math/qhull to v8 and bump all dependent ports with
    LIB_DEPENDS fix (at least libqhull.so to libqhull_r.so) at once.

    PR:             261279

 graphics/gdal/Makefile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 6 Po-Chuan Hsieh freebsd_committer 2022-01-28 11:54:23 UTC
Reopen this PR.
Comment 7 Thierry Thomas freebsd_committer 2022-02-02 18:45:03 UTC
Hello sunpoet!
All the other related PRs (261278 261280 261281 261282 261283) have been approved, and I'm ready to commit them. Do you agree for me to take also this one?
Comment 8 commit-hook freebsd_committer 2022-02-18 18:45:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c5e375817ca945aed188754b9f5c0a03b381497a

commit c5e375817ca945aed188754b9f5c0a03b381497a
Author:     Thierry Thomas <thierry@FreeBSD.org>
AuthorDate: 2022-02-18 18:18:07 +0000
Commit:     Thierry Thomas <thierry@FreeBSD.org>
CommitDate: 2022-02-18 18:44:54 +0000

    graphics/gdal: switch to Qhull8

    Note: PR 261279 had been approved previously, and the port has been
    upgraded to 3.4.1; only the swith to Qhull8 was missing.

    PR:             261279

 graphics/gdal/Makefile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 9 Thierry Thomas freebsd_committer 2022-02-18 18:47:51 UTC
Just committed, thanks!

Now we can deprecated math/qhull and replace it by math/qhull8.
Comment 10 rkoberman 2022-02-19 20:04:49 UTC
The UPDATING instructions are wrong. The correct text should include
"portmaster -o math/qhull qhull8"

as well as the equivalent portupgrade command. This method can also be used by those using packages with "pkg set -o math/qhull8:math/qhull". This is far cleaner and less labor intensive than requiring the rebuilding of all dependencies.